import { Selector } from 'testcafe';

fixture `export_pictory_rsc_format`

test('Export PiCtory rsc format', async t => {
    await t
        .drag(Selector('#ft_RevPiCore_20170404_1_2 span').withText('RevPi Core/3/3+/S').nth(1), 200, 44, {
            offsetX: 30,
            offsetY: 9
        })
        .hover('#file')
        .click('#file_export')
        .click('#rdoExport')
        .expect(Selector('#tblExportData b').withText('PiCtory project file').textContent).eql("PiCtory project file")
        .click('#rdoExportModeShow')
        .click(Selector('span').withText('Ok'))
        .expect(Selector('#taShowExport').textContent).contains("{\"App\":{\"name\": \"PiCtory\", \"version\": ")
        .expect(Selector('#taShowExport').textContent).contains("\"type\": \"BASE\",\"productType\": \"95\",\"position\": \"0\",\"name\": ");
});